import React, { useState } from 'react';
import {BrowserRouter as Router, Route, Link, Switch, Redirect} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import {createStore, combineReducers, applyMiddleware} from 'redux';
import Header from "./header";
import Footer from "./footer";
import Main from "./MainImg";
import actionCatalogCard from "../reducers/reducerCat";
import Links from "./links"
import CGoodsCategory from "./goodsCategory";
import OneGood from './oneGood';
import GoodsList from "./goodsList";
import SearchInput from "./searchInput";
import CGoodsSearch from "./goodsSearch";
import CGoodsListSearch from "./goodsListSearch";
import GoodsNotFound from "./goodsNotFound";
import LoginForm from "./loginOnPage";



export {Header,Footer, actionCatalogCard, Main, Links, CGoodsCategory, OneGood, GoodsList, SearchInput, CGoodsSearch, CGoodsListSearch, GoodsNotFound, 
LoginForm};



