import {Provider, connect} from 'react-redux';
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import thunk from 'redux-thunk';
import {actionPromise} from "./index"
import {gql, actionGoods, getGoods} from "../reducers/index";
import { useEffect } from 'react';
import {OneGood, GoodsList} from "./index";


  
  const mapStateToProps = state => ({
    state: state,
    goods: getGoods(state, "goods")
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionGoods
  }, dispatch);
  


const GoodsCategory = ({goods, id, tittle = "Товари", getData}) => {
  useEffect(() =>  getData(id), [id])
  return(
      <>
        <div className = "goodsWrapper">
            <GoodsList arr = {goods}/>
        </div>
      </>
  )
}

const CGoodsCategory = connect(mapStateToProps, mapDispatchToProps)(GoodsCategory);




  export default CGoodsCategory;