import {Provider, connect} from 'react-redux';
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import thunk from 'redux-thunk';
import {actionPromise} from "./index"
import {gql, actionGoods, getGoods, actionSearch} from "../reducers/index";
import { useEffect } from 'react';
import {OneGood, GoodsList} from "./index";


const mapStateToProps = state => ({
    state: state,
    search: getGoods(state, "search")
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionSearch
  }, dispatch);

  const GoodsSearch = ({search, name, getData}) => {
    console.log(search)
    useEffect(() =>  getData(name), [name])
    return(
    <>
            <div className = "goodsWrapper">
              <GoodsList arr = {search}/>
            </div>
    </>
    )
  }
   const CGoodsSearch = connect(mapStateToProps, mapDispatchToProps)(GoodsSearch);


  export default CGoodsSearch;